From f64c2c3ccfa5a570d312c8bdc7eaa63e216494c4 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Fri, 5 Jan 2024 15:47:49 +0100
Subject: [PATCH v9 01/13] libpq: Remove instance of hardcoded protocol version

This removes a hardcoded protocol version number in libpq to make any
protocol bump in the future be a single line change.
---
 src/interfaces/libpq/fe-connect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/interfaces/libpq/fe-connect.c b/src/interfaces/libpq/fe-connect.c
index d4e10a0c4f3..887fd0bf705 100644
--- a/src/interfaces/libpq/fe-connect.c
+++ b/src/interfaces/libpq/fe-connect.c
@@ -2724,7 +2724,7 @@ keep_going:						/* We will come back to here until there is
 		 * must persist across individual connection attempts, but we must
 		 * reset them when we start to consider a new server.
 		 */
-		conn->pversion = PG_PROTOCOL(3, 0);
+		conn->pversion = PG_PROTOCOL_LATEST;
 		conn->send_appname = true;
 #ifdef USE_SSL
 		/* initialize these values based on SSL mode */

base-commit: 489072ab7a9e37987e1d1008a90b0a3644455ecd
-- 
2.34.1

